.backdrop {
	position: fixed;
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
	background: rgba(0, 0, 0, 0.50);
	z-index: 1000;
}

.modal-container {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 1001;
	overflow-y: auto;

	.modal {
		width: 600px;
		min-height: 600px;
		background: #000722;
		max-width: 100%;
		position: relative;
		border: 1px solid #138ff7;
		box-shadow: 0 0 23px 5px rgba(106, 219, 252, 0.56);
		margin: 8px 0;

		.content {
			padding: 16px 24px;

			.asterisk {
				color: #65b9ff;
			}

			.header {
				display: flex;
				justify-content: flex-end;

				.close {
					color: #fff;
					text-transform: uppercase;
				}
			}

			.body {
				--body-padding: 38px;
				padding: 0 var(--body-padding);

				@media screen and (max-width: 540px) {
					--body-padding: 0;
				}

				.registration-header {
					text-transform: uppercase;
					color: #fff;
					text-shadow: 0 0 25px #398be7;
				}


				.form {
					.required-fields-tip {
						color: #fff;
						font-weight: 300;
						margin: 8px 0 32px 0;
					}

					.form-block {
						display: flex;
						flex-direction: column;
						flex-wrap: wrap;
						color: #fff;
						min-height: 70px;

						.form-block-content {
							display: flex;
							flex-direction: row;
							flex-wrap: wrap;
							color: #fff;
							align-items: center;
							width: 100%;

							.label {
								flex: 0.3;
							}

							.input {
								flex: 0.7;
								display: flex;
								flex-direction: column;

								input[type=text], input[type=password] {
									height: 30px;
									width: 100%;
									background: #000;
									border: 1px solid #138ff7;
									color: #cbcbcb;
									font-size: 18px;
									padding: 0 8px;
									transition: border 0.5s ease;

									&.bad {
										border: 1px solid red;
									}

									&:focus {
										outline: none;
									}
								}

								.ip-input-wrapper {
									display: flex;
									flex-direction: row;
									align-items: center;

									.ip-input {
										flex: 1;
									}

									.add-ip-wrapper {
										display: flex;
										justify-content: flex-end;
										flex: 0.4;

										.add-ip-link {
											display: flex;
											flex-direction: row;
											transition: color 0.5s ease;

											.plus {
												width: 20px;
												height: 21px;
												background: #138ff7;
												display: flex;
												align-items: center;
												justify-content: center;
												color: #fff;
												font-weight: bold;
												border-radius: 4px;
												margin: 0 8px;
												transition: background 0.5s ease;
											}

											&.disabled {
												.plus {
													background: #bbbbbb;
												}

												color: #5d5d5d;
											}
										}
									}
								}
							}
						}

						.field-validation-error {
							width: 70%;
							align-self: flex-end;
							margin: 8px 0;
							font-size: 14px;
							color: #d6d6d6;

							.error-icon {
								.exclamation {
									width: 21px;
									border: 1px solid red;
									border-radius: 50%;
									display: inline-block;
									text-align: center;
								}
							}
						}
					}

					.ip-list-wrapper {
						width: 70%;
						align-self: flex-end;
						display: flex;
						margin: 16px 0;
						flex-direction: column;

						.item {
							display: flex;
							flex-direction: row;
							flex: 1;
							transition: all 1s ease;

							.ip {
								flex: 1;
							}

							.remove {
								flex: 1;
								text-align: right;

								&:hover {
									color: #fff;
								}
							}
						}
					}

					.footer {
						display: flex;
						justify-content: flex-end;

						margin: 16px 0;
					}
				}
			}
		}
	}

}